Data.XML.Types

# Types

## Document prologue

data Document

data Prologue

data Instruction

data Miscellaneous

## Document body

data Node

data Element

data Content

data Name

## Doctypes

data Doctype

data ExternalID

## Incremental processing

data Event

# Combinators

## Filters

isElement

isInstruction

isContent

isComment

isNamed

## Element traversal

elementChildren

elementContent

elementText

## Node traversal

nodeChildren

nodeContent

nodeText

## Attributes

hasAttribute

hasAttributeText

attributeContent

attributeText